Managed Service for Greenplum® API, REST: ResourceGroup.GetAtRevision
Returns the specified resource group at revision.
HTTP request
GET https://mdb.api.yandexcloud.kz/managed-greenplum/v1/clusters/{clusterId}/resource_groups/at_rev
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the Greenplum cluster. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
revision |
string (int64) Cluster revision Value must be greater than 0. |
|
resourceGroupName |
string Required field. The string length in characters must be 3-200. Value must match the regular expression |
Response
HTTP Code: 200 - OK
{
"name": "string",
"isUserDefined": "boolean",
"concurrency": "string",
"cpuRateLimit": "string",
"memoryLimit": "string",
"memorySharedQuota": "string",
"memorySpillRatio": "string",
"cpuMaxPercent": "string",
"cpuWeight": "string",
"memoryQuota": "string",
"minCost": "string",
"ioLimit": "string"
}
ResourceGroup defines a resource group configuration shared between Greenplum and Apache Cloudberry,
but the two engines use different sets of fields.
Greenplum fields:
- concurrency
- cpu_rate_limit
- memory_limit
- memory_shared_quota
- memory_spill_ratio
Apache Cloudberry fields:
- concurrency
- cpu_max_percent
- cpu_weight
- memory_quota
- min_cost
- io_limit
The sets partially overlap (concurrency is common to both). Passing Greenplum-specific
fields to a CloudBerry cluster or vice versa is not rejected at the proto level -
field validation is performed at runtime by the service.
|
Field |
Description |
|
name |
string Required field. The string length in characters must be 3-200. Value must match the regular expression |
|
isUserDefined |
boolean |
|
concurrency |
string (int64) References to CONCURRENCY from gp resource group parameter The minimum value is 0. |
|
cpuRateLimit |
string (int64) References to CPU_RATE_LIMIT from gp resource group parameter Acceptable values are 1 to 100, inclusive. |
|
memoryLimit |
string (int64) References to MEMORY_LIMIT from gp resource group parameter Acceptable values are 0 to 100, inclusive. |
|
memorySharedQuota |
string (int64) References to MEMORY_SHARED_QUOTA from gp resource group parameter Acceptable values are 0 to 100, inclusive. |
|
memorySpillRatio |
string (int64) References to MEMORY_SPILL_RATIO from gp resource group parameter Acceptable values are 0 to 100, inclusive. |
|
cpuMaxPercent |
string (int64) References to CPU_MAX_PERCENT from Apache Cloudberry resource group parameter: |
|
cpuWeight |
string (int64) References to CPU_WEIGHT from Apache Cloudberry resource group parameter: Acceptable values are 1 to 500, inclusive. |
|
memoryQuota |
string (int64) References to MEMORY_QUOTA from Apache Cloudberry resource group parameter: |
|
minCost |
string (int64) References to MIN_COST from Apache Cloudberry resource group parameter: |
|
ioLimit |
string (int64) References to IO_LIMIT from Apache Cloudberry resource group parameter: |